package reset;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

/**
 * Cette classe est la classe qui gere l'ajout d'un element. Cette classe implemente la 
 * classe actionListener, c'est donc elle qui servira a gerer les evenements des boutons qu'elle contient.
 *
 * @version 1.14
 * @since 5/11/05
 * @author Olivio_Mariano
 */
class AddtoStack implements ActionListener{
    StackInterface itf;

/** Methode d'ajout au stack.
 * 
 * @param itf
 */
     public AddtoStack(StackInterface itf){
	this.itf = itf;
    }

/**Cree l'action resultante a partir d'une action
 * effectue sur le bouton d'ajout d'un lment
 *  la pile. La mthode utilise une exeption 
 * specifique dans cas d'une pile pleine
 */
     
    public void actionPerformed(ActionEvent e){
	String element;
	try{
	    element = JOptionPane.showInputDialog(itf,"Please enter the elm :");
	    itf.stackPanel.Stack.inStack(element);
	    itf.stackPanel.upDate();
	    itf.stackPanel.repaint();
	    itf.pack();
	}catch(FullStackException exc){JOptionPane.showMessageDialog(itf, 
				       "Full Stack! Cannot add any element", 
				       "Full Stack !", 
				       JOptionPane.ERROR_MESSAGE);
		}
    }
}
