package reset;

import java.awt.*;
import javax.swing.JLabel;
import javax.swing.border.LineBorder;

/**
 * Cette classe est la classe qui gere l'element dans la pile.
 * Cette classe est une extension de la classe JLabel.
 *
 * @version 1.14
 * @since 5/11/05
 * @author Olivio_Mariano
 */

class Element extends JLabel{
	public Element(String nom){
	super(nom, JLabel.CENTER);
	setAlignmentX(Component.CENTER_ALIGNMENT);
	setBorder(new LineBorder(Color.white, 1, true));
	}
}