package reset;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Cette classe gere la sortie de l'application. Associe au menu
 * "Quit" de l'interface graphique.
 *
 * @version 1.14
 * @since 5/11/05
 * @author Olivio_Mariano
 * @see StackInterface
 */

class Exit implements ActionListener {
    StackInterface itf ;

    /**
     * Methode de sortie de l'application
     * @param itf
     */
    public Exit(StackInterface itf){
	this.itf = itf ;
    }

    /**
     * Methode pour gerer une action
     */
    public void actionPerformed(ActionEvent e){
	itf.end();
    }
}
