package reset;

import java.util.*;

/**
 * Cette classe est la classe qui gere l'iterateur de pile
 * 
 * @version 1.14
 * @since 5/11/05
 * @author Olivio_Mariano
 */
class StackIterator implements Iterator{

    private Iterator iter;
/**
 * Conctructeur de l'iterateur de pile
 * @param p
 */
    public StackIterator(Stack p){
	iter = p.getNeither().iterator();
    }
    
/**
 * Verification de l'existance d'un element suivant
 * @return boolean
 */
    public boolean hasNext(){
	return iter.hasNext();
    }
    
/**
 * Retourne l'element suivant
 * @return Object
 */
    public Object next(){
	return iter.next();
    }

 /**
  * Elimination de l'element
  */
    public void remove(){
	iter.remove();
    }
}