package reset;

import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JPanel;
import javax.swing.BoxLayout;

/**
 * Cette classe est la classe qui lgere le panneau de l'interface graphique
 * ou il va s'afficher la pile
 * 
 * @version 1.14
 * @since 5/11/05
 * @author Olivio_Mariano
 */
class StackPanel extends JPanel{
    Stack Stack;
    
/**
 * Methode qui cree le panneau de pile
 */
    public StackPanel(){
	setPreferredSize(new Dimension(200, 300));
	setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
	setBackground(Color.gray);
    }

    /**
     * Instancie une pile
     * @param p
     */
    public void setStack(Stack p){
	Stack = p;
    }
    
    /**
     * Mise a jour de la pile courante
     */
    public void upDate(){
	this.removeAll();
	displayStack();
	System.out.println(Stack);	
    }

    /**
     * Affichage de la pile
     *
     */
    public void displayStack(){
	for(int i=Stack.getNeither().size()-1; i>=0; i--){
	    this.add(new Element((String)Stack.getNeither().get(i)));
	}
    }

}
